cascading.tuple.hadoop

## Class BytesSerialization

- java.lang.Object
- - org.apache.hadoop.conf.Configured
  - - cascading.tuple.hadoop.BytesSerialization

- All Implemented Interfaces:
    Comparison<byte[]>, Configurable, Serialization<byte[]>

      public class BytesSerialization
      extends Configured
      implements Comparison<byte[]>, Serialization<byte[]>

  Class BytesSerialization is an implementation of Hadoop's `Serialization` interface for use by `byte` arrays (`byte[]`).

  To use, call
  `TupleSerializationProps.addSerialization(properties, BytesSerialization.class.getName() );`

  This class also implements `Comparison` so it is not required to set a `BytesComparator` when attempting to group on a byte array via GroupBy or CoGroup.
  See Also:
    `TupleSerializationProps.addSerialization(java.util.Map, String)`, `BytesComparator`, `Comparison`

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `BytesSerialization.RawBytesDeserializer`
    `static class` | `BytesSerialization.RawBytesSerializer`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BytesSerialization()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `accept(Class<?> c)`
    `Comparator<byte[]>` | `getComparator(Class<byte[]> type)`
    `Deserializer<byte[]>` | `getDeserializer(Class<byte[]> c)`
    `Serializer<byte[]>` | `getSerializer(Class<byte[]> c)`

    - ### Methods inherited from class org.apache.hadoop.conf.Configured

      `getConf, setConf`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BytesSerialization

          public BytesSerialization()

  - ### Method Detail

    - #### accept

          public boolean accept(Class<?> c)

      Specified by:
        `accept` in interface `Serialization<byte[]>`

    - #### getSerializer

          public Serializer<byte[]> getSerializer(Class<byte[]> c)

      Specified by:
        `getSerializer` in interface `Serialization<byte[]>`

    - #### getDeserializer

          public Deserializer<byte[]> getDeserializer(Class<byte[]> c)

      Specified by:
        `getDeserializer` in interface `Serialization<byte[]>`

    - #### getComparator

          public Comparator<byte[]> getComparator(Class<byte[]> type)

      Specified by:
        `getComparator` in interface `Comparison<byte[]>`

Copyright © 2007-2015 Concurrent, Inc. All Rights Reserved.